WordPress 5.3対応かどうか、運営する複数サイトで調べてみた(プラグインとテーマ 2019/11/14)【追記あり】

2019年11月13日(日本時間)にWordPress5.3が配信されました。

プラグインとテーマを中心に、WordPress5.3対応かどうかを調べてみました。

当ブログはWordPressで作成していますが、他にも事務所サイトなど計4サイトで運用しているため、現在使用しているテーマ、プラグインとも様々です。

ご参考までにどうぞ!(最終更新:2019/12/19 WordPress 5.3.2対応確認済みです

 

WordPress5.3のざっと見た変更点

1.新テーマ「Twenty Twenty」が入っています!

その結果「サイトヘルス」を表示すると、本年のテーマ「Twenty Nineteen」を使っていない場合は削除するよう勧められることに…世の中移り変わりが速いですね…

2.WordPress5.2で導入された「サイトヘルス」がデバック情報を具体的に表示するようになりました

3.ログイン時:パスワードを伏せて入力できるようになりました

4.管理者メールアドレスの検証:確実に連絡が届くようにメールアドレスの確認を求められます(最初のログイン時にまず表示されます)

5.推奨PHPバージョンが7.4に!

あくまで推奨バージョンです。私が今使っているレンタルサーバー会社の最新バージョン[7.2]でさえ「バージョンが古すぎます」とサイトヘルスに言われてしまい…どうすりゃいいんだい…(と、ぼやいてみる。本文行きます!)

WordPress5.3対応プラグイン(2019/11/14 17時現在)

実際に確かめたもののみ掲載しています。
プラグインはすべて2019/11/14現在の最新バージョンです。

  • Akismet Anti-Spam(バージョン 4.1.3)
  • All in One SEO Pack(バージョン 3.3.2)
  • AMP for WP – Accelerated Mobile Pages(バージョン 0.9.98.14)
  • Async JavaScript(バージョン 2.19.07.14)
  • Autoptimize(バージョン 2.5.1)
  • Blackhole for Bad Bots(バージョン 2.7)
  • Category Order and Taxonomy Terms Order(バージョン 1.5.7)
  • Classic Editor(バージョン 1.5)
  • Code Snippets(バージョン 2.13.3)
  • Coming Soon Page & Maintenance Mode by SeedProd(バージョン5.1.0)
  • Content Copy Protection & Prevent Image Save(バージョン 1.3)
  • Count Per Day(バージョン 3.6.1)
  • Edit Author Slug(バージョン 1.6.1)
  • Google Analytics Dashboard for WP (GADWP)(バージョン 5.3.9)
  • Google XML Sitemaps(バージョン4.1.0)
  • Inline Related Posts(バージョン2.2.4)
  • Jetpack by WordPress.com(バージョン 7.9)
  • Optimize Database after Deleting Revisions(バージョン 4.8.7)
  • Photo Book Gallery(バージョン 7.5)
  • PS Auto Sitemap(バージョン 1.1.9)
  • Pz-LinkCard(バージョン 2.3.0)
  • Redirection(バージョン 4.4.2)
  • Search Regex(バージョン 1.0.5)
  • Social Media Flying Icons | Floating Social Media Icon(バージョン 4.3.4)
  • Speed Up – JavaScript To Footer(バージョン 1.0.4)
  • StopBadBots(バージョン 5.55)
  • Throws SPAM Away(バージョン 3.0.2)
  • WebSub/PubSubHubbub(バージョン 3.0.3)
  • WP Content Copy Protection with Color Design(バージョン 2.2.2)
  • WP Multibyte Patch(バージョン 2.8.3)
  • WP-DBManager(バージョン 2.80.1)
  • Wp-Insert(バージョン 2.4.7)

2019/12/13追記:上記プラグインはWordPress 5.3.1でも動作確認済みです(ただし12/13現在の最新バージョン使用)。

2019/12/19追記:上記プラグインはWordPress 5.3.2でも動作確認済みです(ただし12/19現在の最新バージョン使用)。

テーマのWordPress5.0~WordPress5.3対応【2019/11/14現在⇒2019/12/13現在⇒2019/12/19現在】

○=対応。実際に確かめたもののみ掲載しています。

Simplicity2(version 2.8.0 (2019/9/9リリース))
○WordPress5.2.3  ○WordPress5.2.4 ○WordPress5.3
WordPress5.3.1 ○WordPress5.3.2

Simplicity2(version 2.7.3)
○WordPress5.0.2 ○WordPress5.0.3 ○WordPress5.1
○WordPress5.2 ○WordPress5.2.1 ○WordPress5.2.2  ○WordPress5.2.3

 

STINGER PLUS2(version:20171207)
○WordPress5.0.3  ○WordPress5.1  ○WordPress5.2  ○WordPress5.2.1
○WordPress5.2.2  ○WordPress5.2.3 ○WordPress5.2.4 ○WordPress5.3
WordPress5.3.1 ○WordPress5.3.2

 

First(version2.0.4,当ブログ使用テーマ)
○WordPress5.0.3() ○WordPress5.1(
○WordPress5.2  ○WordPress5.2.1 ○WordPress5.2.2  ○WordPress5.2.3
○WordPress5.2.4  ○WordPress5.3)○WordPress5.3.1 ○WordPress5.3.2

どちらも「データベースの更新が必要です」画面が出ましたが「更新」をクリックすればアップグレードできました。

 

FotoGraphy(version: 2.3.3,https://junphotoworks.comで使用中)
WordPress5.3 ○WordPress5.3.1 ○WordPress5.3.2

FotoGraphy(version: 2.3.2)
○WordPress5.0.3  ○WordPress5.1 ○WordPress5.2  ○WordPress5.2.1
○WordPress5.2.2  ○WordPress5.2.3 ○WordPress5.2.4

姉妹記事

WordPress 5.2対応かどうか、運営する複数サイトで調べてみた(プラグインとテーマ 2019/5/9)【追記あり】

【プラグインとテーマ】WordPress5.0&5.1対応かどうか、運営する複数サイトで調べてみた(2019/2/27最終更新)

テーマSimplicity2でWordPress 5.0.2へのバージョンアップ方法(2018/12/20)